package com.clx.performance.extranal.transport;

import com.clx.performance.param.feign.transport.OwnerLegalSyncParam;
import com.clx.performance.param.feign.transport.OwnerPersonalSyncParam;
import com.clx.performance.param.feign.transport.ThirdOrderChildBrokerParam;
import com.clx.performance.vo.feign.transport.ThirdOrderChildBrokerResultVO;

public interface TransportService {

    ThirdOrderChildBrokerResultVO orderChildSync(ThirdOrderChildBrokerParam param);

    Integer ownerLegalSync(OwnerLegalSyncParam param);

    Integer ownerPersonalSync(OwnerPersonalSyncParam param);

    boolean ownerExistCheck(String mobile);

    Integer getOwnerId(String mobile);
}
